## openkim-models 2019.07.25

=== CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Copyright (c) 2019--2019, Regents of the University of Minnesota.
# All rights reserved.
#


#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble

file(GLOB MD "${CMAKE_SOURCE_DIR}/model-drivers/*")
foreach(item ${MD})
  add_subdirectory(${item})
endforeach()

file(GLOB MO "${CMAKE_SOURCE_DIR}/portable-models/*")
foreach(item ${MO})
  add_subdirectory(${item})
endforeach()

file(GLOB SM "${CMAKE_SOURCE_DIR}/simulator-models/*")
foreach(item ${SM})
  add_subdirectory(${item})
endforeach()

=== model-drivers/EAM_QuinticHermiteSpline__MD_029719603993_003/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Copyright (c) 2013--2018, Regents of the University of Minnesota.
# All rights reserved.
#
# Contributors:
#    Ryan S. Elliott
#    Ellad B. Tadmor
#    Stephen M. Whalen
#


#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble


set(MODEL_DRIVER_NAME "EAM_QuinticHermiteSpline__MD_029719603993_003")

add_kim_api_model_driver_library(
  NAME                    ${MODEL_DRIVER_NAME}
  CREATE_ROUTINE_NAME     "model_driver_create"
  CREATE_ROUTINE_LANGUAGE "cpp"
  )

configure_file(EAM_QuinticHermiteSpline.hpp EAM_Spline.hpp COPYONLY)

target_include_directories(${MODEL_DRIVER_NAME} PRIVATE ${CMAKE_CURRENT_BINARY_DIR})

target_sources(${MODEL_DRIVER_NAME} PRIVATE
  EAM.cpp
  EAM_Implementation.cpp
  EAM_QuinticHermiteSpline.cpp
  )

=== model-drivers/LJ_Shifted__MD_498634107543_003/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Copyright (c) 2013, Regents of the University of Minnesota.
# All rights reserved.
#
# Contributors:
#    Ryan S. Elliott
#    Ellad B. Tadmor
#    Valeriu Smirichinski
#


#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble


set(MODEL_DRIVER_NAME "LJ_Shifted__MD_498634107543_003")
set(MODEL_DRIVER_SOURCE_NAME "LJ_Shifted")

add_kim_api_model_driver_library(
  NAME                    ${MODEL_DRIVER_NAME}
  CREATE_ROUTINE_NAME     "create"
  CREATE_ROUTINE_LANGUAGE "fortran"
  )

target_sources(${MODEL_DRIVER_NAME} PRIVATE ${MODEL_DRIVER_SOURCE_NAME}.f90)

=== model-drivers/Morse_EIP__MD_429561112321_002/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Copyright (c) 2013--2015, Regents of the University of Minnesota.
# All rights reserved.
#
# Contributors:
#    Ryan S. Elliott
#    Andrew Akerson
#    Ellad B. Tadmor
#    Valeriu Smirichinski
#


#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble


set(MODEL_DRIVER_NAME "Morse_EIP__MD_429561112321_002")
set(MODEL_DRIVER_SOURCE_NAME "Morse_EIP")

add_kim_api_model_driver_library(
  NAME                    ${MODEL_DRIVER_NAME}
  CREATE_ROUTINE_NAME     "model_driver_create"
  CREATE_ROUTINE_LANGUAGE "c"
  )

target_sources(${MODEL_DRIVER_NAME} PRIVATE ${MODEL_DRIVER_SOURCE_NAME}.c)

=== model-drivers/Morse_QuinticSmoothed__MD_093895395358_003/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Copyright (c) 2013--2014, Regents of the University of Minnesota.
# All rights reserved.
#
# Contributors:
#    Ryan S. Elliott
#    Ellad B. Tadmor
#    Valeriu Smirichinski
#


#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble


set(MODEL_DRIVER_NAME "Morse_QuinticSmoothed__MD_093895395358_003")
set(MODEL_DRIVER_SOURCE_NAME "Morse_QuinticSmoothed")

add_kim_api_model_driver_library(
  NAME                    ${MODEL_DRIVER_NAME}
  CREATE_ROUTINE_NAME     "model_driver_create"
  CREATE_ROUTINE_LANGUAGE "c"
  )

target_sources(${MODEL_DRIVER_NAME} PRIVATE ${MODEL_DRIVER_SOURCE_NAME}.c)

=== model-drivers/Morse_Shifted__MD_552566534109_003/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Copyright (c) 2013, Regents of the University of Minnesota.
# All rights reserved.
#
# Contributors:
#    Ryan S. Elliott
#    Ellad B. Tadmor
#    Valeriu Smirichinski
#


#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble


set(MODEL_DRIVER_NAME "Morse_Shifted__MD_552566534109_003")
set(MODEL_DRIVER_SOURCE_NAME "Morse_Shifted")

add_kim_api_model_driver_library(
  NAME                    ${MODEL_DRIVER_NAME}
  CREATE_ROUTINE_NAME     "model_driver_create"
  CREATE_ROUTINE_LANGUAGE "c"
  )

target_sources(${MODEL_DRIVER_NAME} PRIVATE ${MODEL_DRIVER_SOURCE_NAME}.c)

=== model-drivers/Tersoff_LAMMPS__MD_077075034781_003/CMakeLists.txt ===
# Copyright (c) 2019 Tobias Brink
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:
#
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble


set(MODEL_DRIVER_NAME "Tersoff_LAMMPS__MD_077075034781_003")

add_kim_api_model_driver_library(
  NAME                    ${MODEL_DRIVER_NAME}
  CREATE_ROUTINE_NAME     "model_driver_create"
  CREATE_ROUTINE_LANGUAGE "cpp"
  )

target_sources(${MODEL_DRIVER_NAME} PRIVATE
  model_driver_Tersoff.cpp
  pair_tersoff.cpp
  )

=== model-drivers/hNN_WT__MD_435082866799_000/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Copyright (c) 2013--2019, Regents of the University of Minnesota.
# All rights reserved.
#
# Contributors:
#    Mingjian Wen
#


#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble

# Extract Eigen library
execute_process(COMMAND tar xJf ${CMAKE_CURRENT_SOURCE_DIR}/eigen-v3.3.7.tar.xz -C ${CMAKE_CURRENT_BINARY_DIR})
set(CMAKE_CXX_STANDARD 11) # Eigen requires C++11

set(MODEL_DRIVER_NAME "hNN_WT__MD_435082866799_000")

add_kim_api_model_driver_library(
  NAME                    ${MODEL_DRIVER_NAME}
  CREATE_ROUTINE_NAME     "model_driver_create"
  CREATE_ROUTINE_LANGUAGE "cpp"
  )

target_sources(${MODEL_DRIVER_NAME} PRIVATE
  ANN.cpp
  ANNImplementation.cpp
  helper.cpp
  descriptor.cpp
  network.cpp
  )

# Eigen library v3.3.7
target_include_directories(${MODEL_DRIVER_NAME} PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/eigen-v3.3.7)

=== portable-models/EAM_CubicNaturalSpline_AngeloMoody_1995_Ni__MO_800536961967_002/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Copyright (c) 2012--2015, Regents of the University of Minnesota.
# All rights reserved.
#
# Contributors:
#    Ryan S. Elliott
#    Ellad B. Tadmor
#


#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble


add_kim_api_model_library(
  NAME            "EAM_CubicNaturalSpline_AngeloMoody_1995_Ni__MO_800536961967_002"
  DRIVER_NAME     "EAM_CubicNaturalSpline__MD_853402641673_002"
  PARAMETER_FILES "ni_amb.fcn"
  )

=== portable-models/EAM_Dynamo_BonnyTerentyev_2014EAM1_W__MO_292520929154_000/CMakeLists.txt ===
#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble


add_kim_api_model_library(
  NAME            "EAM_Dynamo_BonnyTerentyev_2014EAM1_W__MO_292520929154_000"
  DRIVER_NAME     "EAM_Dynamo__MD_120291908751_005"
  PARAMETER_FILES "potential-WHHe-EAM1.eam.alloy"
  )

=== portable-models/EAM_Dynamo_BonnyTerentyev_2014EAM2_W__MO_626183701337_000/CMakeLists.txt ===
#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble


add_kim_api_model_library(
  NAME            "EAM_Dynamo_BonnyTerentyev_2014EAM2_W__MO_626183701337_000"
  DRIVER_NAME     "EAM_Dynamo__MD_120291908751_005"
  PARAMETER_FILES "potential-WHHe-EAM2.eam.alloy"
  )

=== portable-models/EAM_Dynamo_ErcolessiAdams_1994_Al__MO_123629422045_005/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Copyright (c) 2018, Regents of the University of Minnesota.  All rights reserved.
#
# Contributors:
#    Ryan S. Elliott
#    Ellad B. Tadmor
#

#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble


add_kim_api_model_library(
  NAME            "EAM_Dynamo_ErcolessiAdams_1994_Al__MO_123629422045_005"
  DRIVER_NAME     "EAM_Dynamo__MD_120291908751_005"
  PARAMETER_FILES "Al_EA.eam.alloy"
  )

=== debian/changelog ===
openkim-models (1:2019.07.25-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:16:58 +0100

openkim-models (1:2019.07.25-1) unstable; urgency=medium

  * Upload into unstable

 -- Anton Gladky <gladk@debian.org>  Mon, 20 Jan 2020 17:25:58 +0100

openkim-models (1:2019.07.25-1~exp1) experimental; urgency=medium

  * [cca8dd6] New upstream version 2019.07.25
  * Add epoch to make the upstream version consistent with other distributions

 -- Anton Gladky <gladk@debian.org>  Sun, 19 Jan 2020 18:06:14 +0100

openkim-models (20190331-6) unstable; urgency=medium

  * [d97dcd2] Remove -v2 prefix from kim-api

 -- Anton Gladky <gladk@debian.org>  Sun, 12 Jan 2020 21:17:58 +0100

openkim-models (20190331-5) unstable; urgency=medium

  * [15cd1aa] Add autopkgtests

 -- Anton Gladky <gladk@debian.org>  Sat, 11 Jan 2020 21:56:03 +0100

openkim-models (20190331-4) unstable; urgency=medium

  * [986123c] Fix version numbers of kim-api

 -- Anton Gladky <gladk@debian.org>  Fri, 10 Jan 2020 06:54:39 +0100

openkim-models (20190331-3) unstable; urgency=medium

  * [d13f851] Set Standards-Version to 4.4.1
  * [69fce08] Set compat-level to 12
  * [94c79cd] Use canonical URL in Vcs-Browser.
  * [62e0372] Depend on old kim-api with v2-prefix

 -- Anton Gladky <gladk@debian.org>  Thu, 09 Jan 2020 20:33:41 +0100

openkim-models (20190331-1) unstable; urgency=medium

  * Initial packaging (Closes: #932551)

 -- Anton Gladky <gladk@debian.org>  Sat, 20 Jul 2019 19:44:02 +0200

=== debian/control ===
Source: openkim-models
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: libs
Priority: optional
Build-Depends: cmake,
               libkim-api-dev,
               debhelper-compat (= 12),
               gfortran,
               xxd
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/openkim-models
Vcs-Git: https://salsa.debian.org/science-team/openkim-models.git
Homepage: https://openkim.org

Package: openkim-models
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libkim-api-v2-models
Replaces: libkim-api-v2-models
Description: Models and model-drivers for KIM-API
 The KIM API is an Application Programming Interface for atomistic simulations.
 The API provides a standard for exchanging information between atomistic
 simulation codes (molecular dynamics, molecular statics, lattice dynamics,
 Monte Carlo, etc.) and interatomic models (potentials or force fields).
 It also includes a set of library routines for using the API with
 bindings for:
 .
 FORTRAN 77, Fortran 90/95, Fortran 2003
 C, C++
 .
 Atomistic simulation codes that support the KIM API work seamlessly with the
 KIM-compliant interatomic models (KIM Models) distributed on this website.
 The interface is computationally efficient and often requires relatively minor
 changes to existing codes.
 .
 This package contains models and model-drivers for KIM-API

## openkim-models 2021.01.28

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,26 +19,13 @@
 #
 
 #
-# Copyright (c) 2019--2019, Regents of the University of Minnesota.
+# Copyright (c) 2019--2020, Regents of the University of Minnesota.
 # All rights reserved.
 #
 
 
-#
-# Required preamble
-#
-
-cmake_minimum_required(VERSION 3.4)
-
-list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
-find_package(KIM-API 2.0 REQUIRED CONFIG)
-if(NOT TARGET kim-api)
-  enable_testing()
-  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
-    LANGUAGES CXX C Fortran)
-endif()
-
-# End preamble
+cmake_minimum_required(VERSION 3.10)
+project(openkim-models LANGUAGES NONE)
 
 file(GLOB MD "${CMAKE_SOURCE_DIR}/model-drivers/*")
 foreach(item ${MD})

=== model-drivers/EAM_MagneticCubic__MD_620624592962_002/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Copyright (c) 2012, Regents of the University of Minnesota.  All rights reserved.
#
# Contributors:
#    Ryan S. Elliott
#    Ellad B. Tadmor
#    Valeriu Smirichinski
#


#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble


set(MODEL_DRIVER_NAME "EAM_MagneticCubic__MD_620624592962_002")
set(MODEL_DRIVER_SOURCE_NAME "EAM_MagneticCubic")

add_kim_api_model_driver_library(
  NAME                    ${MODEL_DRIVER_NAME}
  CREATE_ROUTINE_NAME     "create"
  CREATE_ROUTINE_LANGUAGE "fortran"
  )

target_sources(${MODEL_DRIVER_NAME} PRIVATE ${MODEL_DRIVER_SOURCE_NAME}.f90)

=== model-drivers/LJ_Smoothed__MD_716364606252_001/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Copyright (c) 2013--2014, Regents of the University of Minnesota.
# All rights reserved.
#
# Contributors:
#    Ryan S. Elliott
#    Ellad B. Tadmor
#    Valeriu Smirichinski
# 	 Nikhil Chandra Admal


#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble


set(MODEL_DRIVER_NAME "LJ_Smoothed__MD_716364606252_001")
set(MODEL_DRIVER_SOURCE_NAME "LJ_Smoothed")

add_kim_api_model_driver_library(
  NAME                    ${MODEL_DRIVER_NAME}
  CREATE_ROUTINE_NAME     "create"
  CREATE_ROUTINE_LANGUAGE "fortran"
  )

target_sources(${MODEL_DRIVER_NAME} PRIVATE ${MODEL_DRIVER_SOURCE_NAME}.f90)

=== model-drivers/MEAM_LAMMPS__MD_249792265679_000/CMakeLists.txt ===
#
# CMakeLists.txt
#
# LGPL Version 2.1 HEADER START
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
#
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301  USA
#
# LGPL Version 2.1 HEADER END
#

#
# Copyright (c) 2019--2020, Regents of the University of Minnesota.
# All rights reserved.
#
# Contributors:
#    Ryan S. Elliott
#    Yaser Afshar
#


cmake_minimum_required(VERSION 3.10)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API-ITEMS 2.2 REQUIRED CONFIG)

kim_api_items_setup_before_project(ITEM_TYPE "modelDriver")
project(MEAM_LAMMPS__MD_249792265679_000 LANGUAGES CXX)
kim_api_items_setup_after_project(ITEM_TYPE "modelDriver")

# This model driver requires C++11
set(CMAKE_CXX_STANDARD 11)

add_kim_api_model_driver_library(
  NAME                    ${PROJECT_NAME}
  CREATE_ROUTINE_NAME     "ModelDriverCreateRoutine"
  CREATE_ROUTINE_LANGUAGE "cpp"
  )

target_sources(${PROJECT_NAME} PRIVATE
  meam.cpp
  meam_implementation.cpp
  meam_c.cpp
  )

=== model-drivers/SW__MD_335816936951_004/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Copyright (c) 2013--2019, Regents of the University of Minnesota.
# All rights reserved.
#
# Contributors:
#    Mingjian Wen
#


#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble


set(MODEL_DRIVER_NAME "SW__MD_335816936951_004")

add_kim_api_model_driver_library(
  NAME                    ${MODEL_DRIVER_NAME}
  CREATE_ROUTINE_NAME     "model_driver_create"
  CREATE_ROUTINE_LANGUAGE "cpp"
  )

target_sources(${MODEL_DRIVER_NAME} PRIVATE
  StillingerWeber.cpp
  StillingerWeberImplementation.cpp
  helper.cpp
  )

=== model-drivers/ThreeBodyBondOrder_PPM__MD_184422512875_000/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Portions Copyright (c) 2019, Regents of the University of Minnesota.
# All rights reserved.
#
# Contributors:
#    Daniel S. Karls
#    Ellad B. Tadmor
#    Ryan S. Elliott
#

#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble


set(MODEL_DRIVER_NAME "ThreeBodyBondOrder_PPM__MD_184422512875_000")
set(MODEL_DRIVER_SOURCE_NAME "ThreeBodyBondOrder")

add_kim_api_model_driver_library(
  NAME                    ${MODEL_DRIVER_NAME}
  CREATE_ROUTINE_NAME     "model_driver_create"
  CREATE_ROUTINE_LANGUAGE "c"
  )

target_sources(${MODEL_DRIVER_NAME} PRIVATE ${MODEL_DRIVER_SOURCE_NAME}.c)

=== model-drivers/ThreeBodyCluster_KP__MD_527786671773_000/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Portions Copyright (c) 2019, Regents of the University of Minnesota.
# All rights reserved.
#
# Contributors:
#    Daniel S. Karls
#    Ellad B. Tadmor
#    Ryan S. Elliott
#
# Portions Copyright (c) 2019, Regents of the University of Minnesota.
# All rights reserved.
#
# Contributors: 
#    Josh Vievering
#

#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble


# <REPLACE: Change model driver extended KIM ID in the quotes as needed.>
set(MODEL_DRIVER_NAME "ThreeBodyCluster_KP__MD_527786671773_000")
# </REPLACE>
set(MODEL_DRIVER_SOURCE_NAME "ThreeBodyCluster")

add_kim_api_model_driver_library(
  NAME                    ${MODEL_DRIVER_NAME}
  CREATE_ROUTINE_NAME     "model_driver_create"
  CREATE_ROUTINE_LANGUAGE "c"
  )

target_sources(${MODEL_DRIVER_NAME} PRIVATE ${MODEL_DRIVER_SOURCE_NAME}.c)

=== model-drivers/hNN__MD_435082866799_001/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Copyright (c) 2013--2019, Regents of the University of Minnesota.
# All rights reserved.
#
# Contributors:
#    Mingjian Wen
#


#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble

# Extract Eigen library
execute_process(COMMAND tar xJf ${PROJECT_SOURCE_DIR}/eigen-v3.3.7.tar.xz -C ${CMAKE_CURRENT_BINARY_DIR})
set(CMAKE_CXX_STANDARD 11) # Eigen requires C++11

set(MODEL_DRIVER_NAME "hNN__MD_435082866799_001")

add_kim_api_model_driver_library(
  NAME                    ${MODEL_DRIVER_NAME}
  CREATE_ROUTINE_NAME     "model_driver_create"
  CREATE_ROUTINE_LANGUAGE "cpp"
  )

target_sources(${MODEL_DRIVER_NAME} PRIVATE
  ANN.cpp
  ANNImplementation.cpp
  helper.cpp
  descriptor.cpp
  network.cpp
  )

# Eigen library v3.3.7
target_include_directories(${MODEL_DRIVER_NAME} PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/eigen-v3.3.7)

=== portable-models/DUNN_WenTadmor_2019v1_C__MO_584345505904_000/CMakeLists.txt ===
#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble


add_kim_api_model_library(
  NAME            "DUNN_WenTadmor_2019v1_C__MO_584345505904_000"
  DRIVER_NAME     "DUNN__MD_292677547454_000"
  PARAMETER_FILES "descriptor.params"
                  "NN.params"
                  "dropout_binary.params"
  )

=== portable-models/EAM_Dynamo_AcklandTichyVitek_1987_Ag__MO_212700056563_005/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Copyright (c) 2012, Regents of the University of Minnesota.  All rights reserved.
#
# Contributors:
#    Ryan S. Elliott
#    Ellad B. Tadmor
#


#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble


add_kim_api_model_library(
  NAME            "EAM_Dynamo_AcklandTichyVitek_1987_Ag__MO_212700056563_005"
  DRIVER_NAME     "EAM_Dynamo__MD_120291908751_005"
  PARAMETER_FILES "Ag.eam.fs"
  )

=== portable-models/EAM_Dynamo_AcklandTichyVitek_1987_Cu__MO_179025990738_005/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Copyright (c) 2012, Regents of the University of Minnesota.  All rights reserved.
#
# Contributors:
#    Ryan S. Elliott
#    Ellad B. Tadmor
#


#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble


add_kim_api_model_library(
  NAME            "EAM_Dynamo_AcklandTichyVitek_1987_Cu__MO_179025990738_005"
  DRIVER_NAME     "EAM_Dynamo__MD_120291908751_005"
  PARAMETER_FILES "Cu.eam.fs"
  )

=== portable-models/EAM_Dynamo_AcklandTichyVitek_1987v2_Cu__MO_762798677854_000/CMakeLists.txt ===
#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble


add_kim_api_model_library(
  NAME            "EAM_Dynamo_AcklandTichyVitek_1987v2_Cu__MO_762798677854_000"
  DRIVER_NAME     "EAM_Dynamo__MD_120291908751_005"
  PARAMETER_FILES "Cu_v2.eam.fs"
  )

=== debian/changelog ===
openkim-models (1:2021.01.28-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move aliased files from / to /usr using dh_movetousr (DEP17).
    (Closes: #1073680)

 -- Michael Biebl <biebl@debian.org>  Sun, 15 Sep 2024 22:22:19 +0200

openkim-models (1:2021.01.28-2) unstable; urgency=medium

  * [caa9e47] Fix autopkgtest

 -- Anton Gladky <gladk@debian.org>  Wed, 03 Feb 2021 18:32:12 +0100

openkim-models (1:2021.01.28-1) unstable; urgency=medium

  * Upload into unstable

 -- Anton Gladky <gladk@debian.org>  Tue, 02 Feb 2021 23:03:29 +0100

openkim-models (1:2021.01.28-1~exp1) experimental; urgency=medium

  * [dec58f8] Add .gitlab-ci.yml
  * [21b53c2] Add d/watch
  * [0daf969] Add upstream asc key
  * [b3be172] Set Standards-version to 4.5.1
  * [b94df45] New upstream version 2021.01.28
  * [48caa70] Set compat-level to 13

 -- Anton Gladky <gladk@debian.org>  Tue, 02 Feb 2021 19:59:54 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Priority: optional
 Build-Depends: cmake,
                libkim-api-dev,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
+               dh-sequence-movetousr,
                gfortran,
                xxd
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/openkim-models
 Vcs-Git: https://salsa.debian.org/science-team/openkim-models.git
 Homepage: https://openkim.org

=== debian/tests/control ===
Tests: cluster
Depends: libkim-api-dev, libkim-api-doc, openkim-models, build-essential, cmake, gfortran
